package com.artfess.xqxt.meeting.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.artfess.base.entity.BaseModel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 管理员
 * @since 2022-11-03
 */
@ApiModel(value="BizDeviceStatus对象", description="")
@TableName("biz_device_status")
public class BizDeviceStatus extends BaseModel<BizDeviceStatus> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "GK注册状态")
    @TableField("gk_reg_status")
    private String gkRegStatus;

    @ApiModelProperty(value = "会场在线状态")
    @TableField("live_status")
    private String liveStatus;

    @ApiModelProperty(value = "会场呼叫状态")
    @TableField("call_status")
    private String callStatus;

    @ApiModelProperty(value = "SIP注册状态")
    @TableField("sip_status")
    private String sipStatus;

    @ApiModelProperty(value = "版本号")
    @TableField("VERSION")
    private Integer version;

    @ApiModelProperty(value = "租户ID")
    @TableField("TENANT_ID_")
    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getGkRegStatus() {
        return gkRegStatus;
    }

    public void setGkRegStatus(String gkRegStatus) {
        this.gkRegStatus = gkRegStatus;
    }
    public String getLiveStatus() {
        return liveStatus;
    }

    public void setLiveStatus(String liveStatus) {
        this.liveStatus = liveStatus;
    }
    public String getCallStatus() {
        return callStatus;
    }

    public void setCallStatus(String callStatus) {
        this.callStatus = callStatus;
    }
    public String getSipStatus() {
        return sipStatus;
    }

    public void setSipStatus(String sipStatus) {
        this.sipStatus = sipStatus;
    }
    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }
    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "BizDeviceStatus{" +
                "id=" + id +
                ", gkRegStatus=" + gkRegStatus +
                ", liveStatus=" + liveStatus +
                ", callStatus=" + callStatus +
                ", sipStatus=" + sipStatus +
                ", version=" + version +
                ", tenantId=" + tenantId +
                "}";
    }
}
